// pin.h	version 1.3
#ifndef __PIN_H
#define __PIN_H

#ifdef PCB_VER3

// PORTA
#bit _RS=PORTA.0
#bit _E=PORTA.1
#bit _Relay=PORTA.2
#bit _tmr0_gate=PORTA.3
#bit _tmr0_input=PORTA.4

// PORTB
#bit _DB0=PORTB.0
#bit _DB1=PORTB.1
#bit _DB2=PORTB.2
#bit _DB3=PORTB.3
#bit _C_OR_L=PORTB.4		// 1 - measure capacitance
							// 0 - measure inductance
#bit _LCD_8_OR_16=PORTB.5	// LK3
#bit _FREQ=PORTB.6			// LK1 - Display frequency / 10 after RESET
#bit _rb7_not_used=PORTB.7

#else
// Original PCB connections
// PORTA
#bit _tmr0_gate=PORTA.0
#bit _Relay=PORTA.1
#bit _E=PORTA.2
#bit _RS=PORTA.3
#bit _tmr0_input=PORTA.4

// PORTB
#bit _DB0=PORTB.0
#bit _DB1=PORTB.1
#bit _DB2=PORTB.2
#bit _DB3=PORTB.3
#bit _LCD_8_OR_16=PORTB.4
#bit _rb0_not_used=PORTB.5
#bit _FREQ=PORTB.6
#bit _C_OR_L=PORTB.7	// 1 - measure capacitance
						// 0 - measure inductance
#endif

#endif
